## path.py 8.1.2%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=path
export LC_ALL=C.UTF-8

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## path.py 10.1

=== tests/requirements.txt ===
pytest >= 2.8
appdirs

## path.py 8.1.2+dfsg

=== debian/changelog ===
path.py (8.1.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Use git-dpm.
  * Get rid of .hgtags in upstream tarball.
  * Fix typo in d/control.

 -- Julien Puydt <julien.puydt@laposte.net>  Sun, 11 Oct 2015 14:05:22 +0200

path.py (8.1.1-1) unstable; urgency=medium

  * Initial release. (Closes: #797916)

 -- Julien Puydt <julien.puydt@laposte.net>  Thu, 17 Sep 2015 22:59:46 +0200

=== debian/control ===
Source: path.py
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Julien Puydt <julien.puydt@laposte.net>
Section: python
Priority: optional
Standards-Version: 3.9.6
Homepage: https://github.com/jaraco/path.py
Build-Depends: debhelper (>= 9), dh-python, python, python3-all,
               python-setuptools, python3-setuptools, python-pytest, python3-pytest,
               python-setuptools-scm, python3-setuptools-scm
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2
Vcs-Git: git://anonscm.debian.org/python-modules/packages/path.py.git
Vcs-Browser: http://anonscm.debian.org/cgit/python-modules/packages/path.py.git

Package: python-path
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: module wrapper for os.path for Python 2
 path.py implements a path objects as first-class entities, allowing common
 operations on files to be invoked on those path objects directly.
 .
 This package installs the library for Python 2.

Package: python3-path
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: module wrapper for os.path for Python 3
 path.py implements a path objects as first-class entities, allowing common
 operations on files to be invoked on those path objects directly.
 .
 This package installs the library for Python 3.

=== debian/watch ===
version=3
opts=\
repacksuffix=+dfsg,\
dversionmangle=s/\+dfsg//,\
uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/path.py/path.py-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## path.py 8.2.1+dfsg

=== debian/changelog ===
path.py (8.2.1+dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Julien Puydt ]
  * New upstream release.
  * Bump standards-version.

 -- Julien Puydt <julien.puydt@laposte.net>  Fri, 13 May 2016 15:00:56 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Uploaders: Julien Puydt <julien.puydt@laposte.net>
 Section: python
 Priority: optional
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/jaraco/path.py
 Build-Depends: debhelper (>= 9), dh-python, python, python3-all,
                python-setuptools, python3-setuptools, python-pytest, python3-pytest,
                python-setuptools-scm, python3-setuptools-scm
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/path.py.git
-Vcs-Browser: http://anonscm.debian.org/cgit/python-modules/packages/path.py.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/path.py.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/path.py.git
 
 Package: python-path
 Architecture: all

## path.py 10.1

=== debian/changelog ===
path.py (10.1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <julien.puydt@laposte.net>  Tue, 24 Jan 2017 22:25:54 +0100

path.py (10.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <julien.puydt@laposte.net>  Fri, 06 Jan 2017 08:57:00 +0100

path.py (9.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <julien.puydt@laposte.net>  Tue, 20 Dec 2016 10:40:01 +0100

path.py (9.0-1) unstable; urgency=medium

  * New upstream release.
  * Upstream dropped .hgtags.
  * Push dh compat to 10.
  * Update d/copyright.
  * Push standards-version to 3.9.8.

 -- Julien Puydt <julien.puydt@laposte.net>  Wed, 23 Nov 2016 18:30:31 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,16 @@
 Priority: optional
 Standards-Version: 3.9.8
 Homepage: https://github.com/jaraco/path.py
-Build-Depends: debhelper (>= 9), dh-python, python, python3-all,
-               python-setuptools, python3-setuptools, python-pytest, python3-pytest,
-               python-setuptools-scm, python3-setuptools-scm
+Build-Depends: debhelper (>= 10),
+               dh-python (>= 2.20160609~),
+               python,
+               python-pytest,
+               python-setuptools,
+               python-setuptools-scm,
+               python3-all,
+               python3-pytest,
+               python3-setuptools,
+               python3-setuptools-scm
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/path.py.git

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=path
export LC_ALL=C.UTF-8
export PYBUILD_TEST_ARGS=test_path.py

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## path.py 10.4

=== debian/changelog ===
path.py (10.4-1) unstable; urgency=medium

  * Rewrite d/watch to check upstream directly.
  * New upstream release.
  * Bump std-ver to 4.1.0.
  * Bump d/watch version to 4.
  * Add autopkgtest.

 -- Julien Puydt <julien.puydt@laposte.net>  Sun, 03 Sep 2017 16:08:01 +0200

path.py (10.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Push standards-version to 4.0.0.

 -- Julien Puydt <julien.puydt@laposte.net>  Sat, 01 Jul 2017 13:51:20 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Julien Puydt <julien.puydt@laposte.net>
 Section: python
 Priority: optional
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: https://github.com/jaraco/path.py
 Build-Depends: debhelper (>= 10),
                dh-python (>= 2.20160609~),

=== debian/tests/control ===
Tests: upstream2
Depends: python-path, python-pytest

Tests: upstream3
Depends: python3-path, python3-pytest

## path.py 11.0

=== debian/changelog ===
path.py (11.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Fix Format URL to correct one

  [ Julien Puydt ]
  * New upstream release.
  * Bump std-ver to 4.1.3.

 -- Julien Puydt <julien.puydt@laposte.net>  Thu, 15 Feb 2018 12:21:19 +0100

path.py (10.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump std-ver to 4.1.1.

 -- Julien Puydt <julien.puydt@laposte.net>  Thu, 02 Nov 2017 08:11:16 +0100

=== debian/tests/control ===
Tests: upstream2
Depends: python-path, python-pytest, python-setuptools

Tests: upstream3
Depends: python3-path, python3-pytest, python3-setuptools

## path.py 11.0.1

=== debian/changelog ===
path.py (11.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Add packaging as a test dependency (Closes: #894082)
    (Thanks Mattias Klose)

 -- Julien Puydt <julien.puydt@laposte.net>  Thu, 05 Apr 2018 07:25:37 +0200

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,22 @@
 Uploaders: Julien Puydt <julien.puydt@laposte.net>
 Section: python
 Priority: optional
-Standards-Version: 4.1.0
+Standards-Version: 4.1.3
 Homepage: https://github.com/jaraco/path.py
 Build-Depends: debhelper (>= 10),
                dh-python (>= 2.20160609~),
-               python,
+               python, python-packaging,
                python-pytest,
                python-setuptools,
                python-setuptools-scm,
-               python3-all,
+               python3-all, python3-packaging,
                python3-pytest,
                python3-setuptools,
                python3-setuptools-scm
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/path.py.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/path.py.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/path.py.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/path.py
 
 Package: python-path
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,7 @@
 
 %:
 	dh $@ --with python2,python3 --buildsystem=pybuild
+
+override_dh_install:
+	dh_install
+	rm debian/python*-path/usr/lib/python*/dist-packages/test_path.py

=== debian/tests/control ===
Tests: upstream2
Depends: python-path, python-pytest, python-setuptools, python-packaging

Tests: upstream3
Depends: python3-path, python3-pytest, python3-setuptools, python3-packaging

## path.py 11.5.0

=== debian/changelog ===
path.py (11.5.0-3) unstable; urgency=medium

  * Team upload.
  * Fix autopkgtests, replace them with autodep8 Python tests.

 -- Ondřej Nový <onovy@debian.org>  Fri, 23 Nov 2018 08:55:24 +0100

path.py (11.5.0-2) unstable; urgency=medium

  * Modify how the upstream test suite gets run (Closes: #911488).

 -- Julien Puydt <jpuydt@debian.org>  Mon, 22 Oct 2018 10:19:28 +0200

path.py (11.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop upstreamed patch (to remove dep on distutils).
  * Add patch to revert an upstream change in version detection
    (using upstream's code would require a new package!)

 -- Julien Puydt <jpuydt@debian.org>  Fri, 19 Oct 2018 17:20:04 +0200

path.py (11.3.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Matthias Klose ]
  * Add a patch to remove dep on python3-distutils
    (Closes: #896271)

  [ Julien Puydt ]
  * Bump std-ver to 4.2.1.
  * Use my debian.org mail address.
  * New upstream release.
  * Replace Matthias' patch for distutils with an upstream one.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 18 Sep 2018 22:44:24 +0200

path.py (11.0.1-2) unstable; urgency=medium

  * Refresh packaging:
    - Bump std-ver to 4.1.4.
    - Bump dh compat to 11.
  * Add tests for import in autopkgtest.
  * Add missing depends for python3-path (Closes: #896271).

 -- Julien Puydt <julien.puydt@laposte.net>  Mon, 23 Apr 2018 08:19:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: path.py
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Julien Puydt <julien.puydt@laposte.net>
+Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: https://github.com/jaraco/path.py
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dh-python (>= 2.20160609~),
                python, python-packaging,
                python-pytest,
@@ -15,10 +15,9 @@
                python3-pytest,
                python3-setuptools,
                python3-setuptools-scm
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.2
 Vcs-Git: https://salsa.debian.org/python-team/modules/path.py.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/path.py
+Testsuite: autopkgtest-pkg-python
 
 Package: python-path
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=path
export LC_ALL=C.UTF-8
export PYBUILD_TEST_ARGS_python3=test_path.py
# it's not even clear why those tests should succeed...
export PYBUILD_TEST_ARGS_python2=$(PYBUILD_TEST_ARGS_python3) -k "not test_listdir_other_encoding"

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_build:
	sed -i path.py -e "s/@VERSION@/'$(DEB_VERSION_UPSTREAM)'/g"
	dh_auto_build

override_dh_install:
	dh_install
	rm debian/python*-path/usr/lib/python*/dist-packages/test_path.py

## path.py 12.0.1

=== debian/changelog ===
path.py (12.0.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 27 Jul 2019 21:59:05 +0200

path.py (12.0.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Rename d/tests/control.autodep8 to d/tests/control.

  [ Julien Puydt ]
  * New upstream release.
  * Bump std-ver to 4.3.0.
  * Update version_with_pkgresources.patch.
  * Drop the Python 2 package (we miss python-pytest-tempdir).

 -- Julien Puydt <jpuydt@debian.org>  Sat, 13 Apr 2019 21:18:19 +0200

=== debian/control ===
Source: path.py
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: python
Priority: optional
Standards-Version: 4.4.0
Homepage: https://github.com/jaraco/path.py
Build-Depends: debhelper-compat (= 11),
               dh-python (>= 2.20160609~),
               python3-all, python3-packaging,
               python3-pytest,
               python3-setuptools,
               python3-setuptools-scm
Vcs-Git: https://salsa.debian.org/python-team/modules/path.py.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/path.py
Testsuite: autopkgtest-pkg-python

Package: python3-path
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: module wrapper for os.path for Python 3
 path.py implements a path objects as first-class entities, allowing common
 operations on files to be invoked on those path objects directly.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

srcdir=$(shell pwd)
export PYBUILD_NAME=path
export LC_ALL=C.UTF-8
export PYBUILD_TEST_ARGS_python3=$(srcdir)/test_path.py
# it's not even clear why those tests should succeed...
export PYBUILD_TEST_ARGS_python2=$(PYBUILD_TEST_ARGS_python3) -k "not test_listdir_other_encoding"

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	sed -i path/__init__.py -e "s/@VERSION@/'$(DEB_VERSION_UPSTREAM)'/g"
	dh_auto_build

=== debian/tests/control ===
Tests: upstream3
Depends: python3-path, python3-pytest, python3-setuptools, python3-packaging

=== debian/watch ===
version=4
opts=\
repacksuffix=+dfsg,\
dversionmangle=s/\+dfsg//,\
uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/jaraco/path.py/tags .*/archive/(.*)\.tar\.gz

## path.py 15.0.0

=== debian/changelog ===
path.py (15.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 03 Aug 2020 17:28:30 +0200

path.py (14.0.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Julien Puydt ]
  * Bump std-vers to 4.5.0.
  * Bump dh-compat to 13.
  * New upstream release.
  * Better d/watch (upstream change in versioning).
  * Remove missing_flake8.patch (upstreamed).
  * Remove version_with_pkgresources.patch (upstreamed).
  * Update the team mailing list's address.
  * Add patch to make pytest run.
  * Declare d/rules doesn't need root.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 11 Jul 2020 15:47:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: path.py
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@alioth-lists.debian.net>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/jaraco/path.py
-Build-Depends: debhelper-compat (= 11),
+Build-Depends: debhelper-compat (= 13),
                dh-python (>= 2.20160609~),
                python3-all, python3-packaging,
                python3-pytest,
+               python3-toml,
                python3-setuptools,
                python3-setuptools-scm
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/modules/path.py.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/path.py
 Testsuite: autopkgtest-pkg-python

## path.py 15.1.0

=== debian/changelog ===
path.py (15.1.0-1) unstable; urgency=medium

  * New upstream relese.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 31 Jan 2021 19:20:09 +0100

path.py (15.0.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Julien Puydt ]
  * New upstream release.
  * Bump std-vers to 4.5.1.
  * Drop the only patch (useless).

 -- Julien Puydt <jpuydt@debian.org>  Wed, 09 Dec 2020 08:04:46 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/jaraco/path.py
 Build-Depends: debhelper-compat (= 13),
                dh-python (>= 2.20160609~),
@@ -13,8 +13,8 @@
                python3-setuptools,
                python3-setuptools-scm
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/python-team/modules/path.py.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/path.py
+Vcs-Git: https://salsa.debian.org/python-team/packages/path.py.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/path.py
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-path

=== debian/watch ===
version=4
opts=\
repacksuffix=+dfsg,\
dversionmangle=s/\+dfsg//,\
uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/jaraco/path.py/tags .*/archive/v?(.*)\.tar\.gz

## path.py 16.3.0

=== debian/changelog ===
path.py (16.3.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dh-python.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Julien Puydt ]
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 19 Jan 2022 14:07:38 +0100

path.py (16.2.0-2) unstable; urgency=medium

  * Team upload.
  * debian/control
    - use proper team email address

 -- Sandro Tosi <morph@debian.org>  Wed, 25 Aug 2021 00:13:49 -0400

path.py (16.2.0-1) unstable; urgency=medium

  * Fix d/watch.
  * New upstream release.
  * Bump std-vers to 4.6.0.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 19 Aug 2021 10:57:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: path.py
-Maintainer: Debian Python Modules Team <python-modules-team@alioth-lists.debian.net>
+Maintainer: Debian Python Modules Team <team+python@tracker.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/jaraco/path.py
 Build-Depends: debhelper-compat (= 13),
-               dh-python (>= 2.20160609~),
+               dh-python,
                python3-all, python3-packaging,
                python3-pytest,
                python3-toml,

## path.py 16.4.0

=== debian/changelog ===
path.py (16.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 18 Mar 2022 23:57:24 +0100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Homepage: https://github.com/jaraco/path.py
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all, python3-packaging,
                python3-pytest,
                python3-toml,

## path.py 16.6.0

=== debian/changelog ===
path.py (16.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 06 Dec 2022 10:46:21 +0100

path.py (16.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.6.1.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 02 Oct 2022 22:14:29 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/jaraco/path.py
 Build-Depends: debhelper-compat (= 13),
                dh-python,

## path.py 16.10.0

=== debian/changelog ===
path.py (16.10.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 18 Feb 2024 19:58:29 +0100

path.py (16.9.0-2) unstable; urgency=medium

  * Autopkgtest lacked a depend on more-itertools.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 23 Jan 2024 13:12:21 +0100

path.py (16.9.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 12 Dec 2023 09:48:40 +0100

path.py (16.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.6.2.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 28 Sep 2023 16:38:46 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/jaraco/path.py
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                pybuild-plugin-pyproject,
                python3-all, python3-packaging,
+               python3-more-itertools,
                python3-pytest,
                python3-toml,
                python3-setuptools,

=== debian/rules ===
--- 
+++ 
@@ -15,3 +15,7 @@
 override_dh_auto_build:
 	sed -i path/__init__.py -e "s/@VERSION@/'$(DEB_VERSION_UPSTREAM)'/g"
 	dh_auto_build
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf path.egg-info/

=== debian/tests/control ===
Tests: upstream3
Depends: python3-more-itertools, python3-path, python3-pytest, python3-setuptools, python3-packaging

## path.py 16.14.0

=== debian/changelog ===
path.py (16.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.7.0.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 13 May 2024 11:24:13 +0200

path.py (16.13.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 08 Apr 2024 14:06:49 +0200

## path.py 17.0.0

=== debian/changelog ===
path.py (17.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 17 Sep 2024 06:36:41 +0200

## path.py 17.1.0

=== debian/changelog ===
path.py (17.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 04 Jan 2025 14:37:52 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/jaraco/path.py
 Build-Depends: debhelper-compat (= 13),
                dh-python,

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 srcdir=$(shell pwd)
 export PYBUILD_NAME=path
 export LC_ALL=C.UTF-8
-export PYBUILD_TEST_ARGS_python3=$(srcdir)/test_path.py
+export PYBUILD_TEST_ARGS_python3=$(srcdir)/tests/test_path.py
 # it's not even clear why those tests should succeed...
 export PYBUILD_TEST_ARGS_python2=$(PYBUILD_TEST_ARGS_python3) -k "not test_listdir_other_encoding"

=== debian/watch ===
version=4
opts=\
repacksuffix=+dfsg,\
dversionmangle=s/\+dfsg//,\
uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/jaraco/path.py/tags .*/v?(.*)\.tar\.gz
